%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig %mklibname kdeaccessibility
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_kttsd %mklibname kttsd
%define lib_major_kttsd 0
%define lib_name_kttsd %lib_name_orig_kttsd%lib_major_kttsd

Name:		kdeaccessibility
Version:    3.5.6
Release:    %mkrel  1
Epoch:		1
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Accessibility program
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires: X11-devel
BuildRequires: kdelibs-devel >= 3.4
BuildRequires: qt3-devel
BuildRequires: automake1.7
BuildRequires: autoconf2.5
BuildRequires: libgstreamer-devel
BuildRequires:	gstreamer-devel
%if %mdkversion > 200600
BuildRequires:	akode-devel
%endif
Obsoletes:	kmag
Provides:	kmag

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.

%post
/sbin/ldconfig
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
/sbin/ldconfig
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%files 
%defattr(-,root,root)
%_bindir/kmag
%_bindir/kmousetool
%_bindir/kmouth
%_menudir/kdeaccessibility-kmag
%_menudir/kdeaccessibility-kmousetool
%_menudir/kdeaccessibility-kmouth
%_libdir/kde3/kbstate_*
%dir %_datadir/apps/kbstateapplet/
%_datadir/apps/kbstateapplet/*
%_datadir/apps/kicker/applets/kbstateapplet.desktop
%_datadir/applnk/Applications/kmag.desktop
%_datadir/applnk/Applications/kmousetool.desktop
%_datadir/applnk/Applications/kmouth.desktop
%_datadir/applications/kde/kmag.desktop
%_datadir/applications/kde/kmousetool.desktop
%_datadir/applications/kde/kmouth.desktop
%dir %_datadir/apps/kmag/
%_datadir/apps/kmag/*
%dir %_datadir/apps/kmousetool/
%_datadir/apps/kmousetool/*
%dir %_datadir/apps/kmouth/
%_datadir/apps/kmouth/*


%doc %_docdir/HTML/en/kmag
%doc %_docdir/HTML/en/kmousetool
%doc %_docdir/HTML/en/kmouth
%_iconsdir/*/*/apps/*.png
%dir %_datadir/icons/mono/*
%_datadir/icons/mono/*

# To be moved for config package
%_datadir/config/kmouthrc

#--------------------------------------------------------------------

%package kttsd
Group:      Development/KDE and Qt
Summary:    KTTS -- KDE Text-to-Speech.
Obsoletes:	kttsd <= 0.3.0
Provides:	kttsd >= %epoch:3.4.0
Requires:	%{lib_name}-kttsd = %epoch:%version-%release

%description kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.
 _ Audio output via aRts or GStreamer (version 0.8.7 or later)

%post kttsd
%{update_menus}

%postun kttsd
%{clean_menus}

%files kttsd
%defattr(-,root,root,0755)
%_bindir/ksayit
%_bindir/kttsd
%_bindir/kttsmgr
%_menudir/kdeaccessibility-kcmkttsd
%_menudir/kdeaccessibility-ksayit
%_menudir/kdeaccessibility-kttsmgr
%_datadir/applications/kde/ksayit.desktop
%_datadir/services/ktexteditor_kttsd.desktop
%_datadir/services/kttsjobmgr.desktop
%_datadir/services/kttsd*
%_datadir/servicetypes/*.desktop
%_datadir/applications/kde/kcmkttsd.desktop
%_datadir/applications/kde/kttsmgr.desktop
%dir %_datadir/apps/ksayit
%_datadir/apps/ksayit/*
%dir %_datadir/apps/kttsd
%_datadir/apps/kttsd/*
%dir %_datadir/apps/ktexteditor_kttsd
%_datadir/apps/ktexteditor_kttsd/*
%_iconsdir/*/*/actions/*
%doc %_docdir/HTML/en/kttsd

#--------------------------------------------------------------------

%package -n %name-kttsd-gstreamer
Group:      Development/KDE and Qt
Summary:    Gstreamer plugins
Requires:	%name-kttsd >= %epoch:%version-%release
Provides:	kttsd-gstreamer
Obsoletes:	%{lib_name_kttsd}-gstreamer
Obsoletes:	%{lib_name}-kttsd-gstreamer


%description -n %name-kttsd-gstreamer
Plugins for gstreamer

%files -n %name-kttsd-gstreamer
%defattr(-,root,root)
%_datadir/services/*gstplugin.desktop
%_libdir/kde3/*gstplugin.la
%_libdir/kde3/*gstplugin.so

#--------------------------------------------------------------------

%if %mdkversion > 200600
%package -n %name-kttsd-akode
Group:      Development/KDE and Qt
Summary:    Akode plugins
Requires:   %name-kttsd >= %epoch:%version-%release
Obsoletes:   %{lib_name}-kttsd-akode

%description -n %name-kttsd-akode
Plugins for akode

%files -n %name-kttsd-akode
%defattr(-,root,root)
%_datadir/services/*akodeplugin.desktop
%_libdir/kde3/*akodeplugin.la
%_libdir/kde3/*akodeplugin.so

%endif

#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd
Group:		Development/KDE and Qt
Summary:	Library files for Kttsd
Obsoletes:  %{lib_name_kttsd} <= 0.3.0
Provides:   %{lib_name_kttsd} >= %epoch:3.4.0
Conflicts:  %{lib_name_kttsd}-kttsd-gstreamer <= %epoch:3.5.4

%description -n	%{lib_name}-kttsd
Libraries file for Ktts

%post -n %lib_name-kttsd -p /sbin/ldconfig
%postun -n %lib_name-kttsd -p /sbin/ldconfig

%files -n %lib_name-kttsd
%defattr(-,root,root)
%_libdir/kde3/kcm_kttsd.*
%_libdir/kde3/ktexteditor_kttsd.*
%_libdir/kde3/libkttsd*
%_libdir/kde3/libkttsjobmgrpart.*
%_libdir/libkttsd.so.*
%_libdir/libkttsd.la
%_libdir/libKTTSD_Lib.so.*
%_libdir/libKTTSD_Lib.la

#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing ktts
Requires:	%{lib_name}-kttsd = %epoch:%{version}-%{release}
Obsoletes:  %{lib_name_kttsd}-devel <= 0.3.0
Provides:   %{lib_name_kttsd}-devel >= %epoch:3.4.0

%description -n	%{lib_name}-kttsd-devel
Header files needed for developing ktts applications.

%files -n %lib_name-kttsd-devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/libkttsd.so
%_libdir/libKTTSD_Lib.so

#--------------------------------------------------------------------

%prep
%setup -q 

%build

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%configure2_5x \
	--with-gstreamer \
	%if %mdkversion > 200600
		--with-akode \
	%endif
	%if %unstable
		--enable-debug=full \
	%else
		--disable-debug \
	%endif
		--enable-shared \
	%if %use_enable_final
		--enable-final \
	%else
		--disable-final \
	%endif
		--disable-static \
		--disable-embedded \
		--disable-palmtop \
		--disable-rpath \
	%if "%{_lib}" != "lib"
		--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif	
		--enable-kttsd-gstreamer \
		--with-xinerama

%make

%install
rm -fr %buildroot
export PATH=%_bindir:$PATH

make install DESTDIR=%buildroot

# Create LMDK menu entries
install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmag.desktop %buildroot/%_menudir/kdeaccessibility-kmag
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmousetool.desktop %buildroot/%_menudir/kdeaccessibility-kmousetool
kdedesktop2mdkmenu.pl kdeaccessibility "More Applications/Accessibility" %buildroot/%_datadir/applnk/Applications/kmouth.desktop %buildroot/%_menudir/kdeaccessibility-kmouth

#FIXME kde 3.4

kdedesktop2mdkmenu.pl kdeaccessibility-kttsd "More Applications/Accessibility" %buildroot/%_datadir/applications/kde/kcmkttsd.desktop %buildroot/%_menudir/kdeaccessibility-kcmkttsd

kdedesktop2mdkmenu.pl kdeaccessibility-kttsd "More Applications/Accessibility" %buildroot/%_datadir/applications/kde/kttsmgr.desktop %buildroot/%_menudir/kdeaccessibility-kttsmgr

kdedesktop2mdkmenu.pl kdeaccessibility-kttsd "More Applications/Accessibility" %buildroot/%_datadir/applications/kde/ksayit.desktop %buildroot/%_menudir/kdeaccessibility-ksayit


# Vfolder directory
install -d %buildroot/%_datadir/applications/kde/
cp %buildroot/%_datadir/applnk/Applications/kmag.desktop %buildroot/%_datadir/applications/kde/kmag.desktop
cp %buildroot/%_datadir/applnk/Applications/kmousetool.desktop %buildroot/%_datadir/applications/kde/kmousetool.desktop
cp %buildroot/%_datadir/applnk/Applications/kmouth.desktop %buildroot/%_datadir/applications/kde/kmouth.desktop


%clean
rm -fr %buildroot







%changelog
* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115853
- 3.5.6

* Wed Oct 25 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 72732
- Rebuild
- 3.5.5

* Mon Aug 14 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 55897
- New package (2006/08/14 3.5.4-2mdv)
  Fix package upgrade

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-1mdv2007.0
+ Revision: 51654
- New package (2006/08/03 3.5.4-1mdv)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added official 3.5.4 tarball
    - Added option for enable/disable debug

* Sun Jul 23 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-6mdv2007.0
+ Revision: 41930
- Remove debug
- Use macro
- Fix build on mdk2006
- 3.5.3
- Rebuild to generate category
- 3.5.2
- 3.5.1
- Enable debug for cooker
  9.2 is obsolete now
- Fix spec file
- Increase version
- Add akode plugins
- Add akode plugins
- Fix use gstreamer
- Fix some requires
- Real 3.5.0
- use %%mkrel
- 3.5.0
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch
- Fix build on x86_64
- fix build on x86_64
- 3.4.92
- 3.4.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - new-ldflags is inavlid on x86_64
    - Cleaned spec
    - Added tarball from kde branch as discussed on meeting in 28/06
    - Removed rpath and added configure macro invalidating libtoolize
    - We are Mandriva now
    - Uploading package ./kdeaccessibility

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix typo (bug reported by Nicolas Chipaux)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix compile kttsd gstreamer plugins (Add missing buildrequires)

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Use --enable-new-ldflags
- Reactivate debug
- Change email
- Fix menu
- Fix BuildRequires missing libgstreamer-devel (thanks Nicolas Chipaux)

* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Sync with CVS (kmousetools fixes)

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Disable debug

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- bye-bye mdkversion

* Tue Oct 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix spec file

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild for new menu translation table

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix spec file

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Remove debug

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Add mdkversion
- Use %%configure
- Add support for mdk 10.1

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Fix distint error
- Remove debug

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix menu entry

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix package freeze

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 3.1.94-5mdk
- Fix menu entry

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Add use_enable_final variable
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type 

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2

* Wed Nov 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix description

* Wed Nov 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Fix menu

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- Beta1

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Sync with CVs

* Sun Sep 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- First package

